package com.cy.guoyan.admin.module.guoyan.dal.mysql.stateownedreformlawlevel;

import java.util.*;

import com.cy.guoyan.admin.framework.common.pojo.PageResult;
import com.cy.guoyan.admin.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.cy.guoyan.admin.framework.mybatis.core.mapper.BaseMapperX;
import com.cy.guoyan.admin.module.guoyan.dal.dataobject.stateownedreformlawlevel.StateOwnedReformLawLevelDO;
import org.apache.ibatis.annotations.Mapper;
import com.cy.guoyan.admin.module.guoyan.controller.admin.stateownedreformlawlevel.vo.*;

/**
 * 国企改革法规层级 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface StateOwnedReformLawLevelMapper extends BaseMapperX<StateOwnedReformLawLevelDO> {

    default PageResult<StateOwnedReformLawLevelDO> selectPage(StateOwnedReformLawLevelPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<StateOwnedReformLawLevelDO>()
                .eqIfPresent(StateOwnedReformLawLevelDO::getOid, reqVO.getOid())
                .eqIfPresent(StateOwnedReformLawLevelDO::getLevelCode, reqVO.getLevelCode())
                .likeIfPresent(StateOwnedReformLawLevelDO::getLevelName, reqVO.getLevelName())
                .eqIfPresent(StateOwnedReformLawLevelDO::getOrderNum, reqVO.getOrderNum())
                .betweenIfPresent(StateOwnedReformLawLevelDO::getCreateTime, reqVO.getCreateTime())
                .likeIfPresent(StateOwnedReformLawLevelDO::getCreatorName, reqVO.getCreatorName())
                .likeIfPresent(StateOwnedReformLawLevelDO::getUpdaterName, reqVO.getUpdaterName())
                .eqIfPresent(StateOwnedReformLawLevelDO::getStatus, reqVO.getStatus())
                .orderByDesc(StateOwnedReformLawLevelDO::getId));
    }

}